#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0xc8041cec, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x5254e998, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x236c8c64, "memcpy" },
	{ 0x9d618f34, "fasync_helper" },
	{ 0x60fdd6fb, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83cedc1b, "netdev_info" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf00a075f, "nla_put" },
	{ 0x13242cd, "from_kgid_munged" },
	{ 0x64ac876e, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x28c3fb4f, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbc75ea00, "dev_get_tstats64" },
	{ 0x66031da, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0xb0a18a9, "rtnl_link_register" },
	{ 0xdeb065df, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf34ebfe, "misc_deregister" },
	{ 0xdc16f168, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x589edc95, "xdp_return_frame" },
	{ 0xc0f8aaef, "sk_skb_reason_drop" },
	{ 0x8d10e02a, "netif_carrier_on" },
	{ 0x2ea628e, "netif_carrier_off" },
	{ 0x1de8d043, "bpf_prog_put" },
	{ 0x39b69bba, "sk_alloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa5738385, "sock_init_data_uid" },
	{ 0xeff846f0, "sk_free" },
	{ 0x36a0a266, "_copy_to_iter" },
	{ 0xce2d2952, "skb_copy_datagram_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf84cd73c, "iov_iter_advance" },
	{ 0xee4afc55, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xa865e89e, "kill_fasync" },
	{ 0x5ef42baf, "skb_queue_purge_reason" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x891a3a87, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd59f5a47, "xdp_rxq_info_unreg" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x89215091, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd61365ce, "module_put" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7560686b, "netdev_core_stats_inc" },
	{ 0x9f59a097, "xdp_do_redirect" },
	{ 0xb8615c91, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xcfdd2217, "__traceiter_xdp_exception" },
	{ 0x4387340c, "xdp_return_frame_rx_napi" },
	{ 0xc0fdc2bd, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xd8a39640, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x94220f31, "netif_receive_skb" },
	{ 0xce52335d, "napi_gro_receive" },
	{ 0xcaf0b534, "napi_complete_done" },
	{ 0xa963e076, "build_skb" },
	{ 0xb3d5e994, "skb_put" },
	{ 0xb2c5470d, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3bdf7d7d, "napi_get_frags" },
	{ 0x9b55eacc, "iov_iter_single_seg_count" },
	{ 0xad8e34b6, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xa9fcb85c, "vmemmap" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x18b63169, "seq_printf" },
	{ 0x727484a4, "sock_recv_errqueue" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x3ad88c6f, "__skb_get_hash_symmetric_net" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa169c89d, "sk_filter_trim_cap" },
	{ 0x1be13161, "skb_clone_tx_timestamp" },
	{ 0x90a1ced9, "skb_copy_ubufs" },
	{ 0xe69470a0, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x1b1b1c32, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x4d22305f, "___pskb_trim" },
	{ 0xf5459b37, "netif_set_real_num_tx_queues" },
	{ 0xe8b16851, "netif_set_real_num_rx_queues" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ddba457, "unregister_netdevice_queue" },
	{ 0xffeaa8e2, "netdev_state_change" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x7f065d27, "__xdp_rxq_info_reg" },
	{ 0x342c4dc5, "xdp_rxq_info_reg_mem_model" },
	{ 0xf5631491, "netif_napi_add_weight" },
	{ 0x817773e6, "napi_enable" },
	{ 0x16caf0b0, "xdp_rxq_info_is_reg" },
	{ 0x535b7189, "lock_sock_nested" },
	{ 0x18b586b7, "sk_attach_filter" },
	{ 0xabbce184, "release_sock" },
	{ 0xa339e9fe, "__dev_get_by_name" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x242ff7b6, "alloc_netdev_mqs" },
	{ 0xf51809c, "ip_tunnel_header_ops" },
	{ 0x347307fe, "register_netdevice" },
	{ 0xf1a0c39, "netif_tx_wake_queue" },
	{ 0x8c0b3820, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x40b5ec79, "free_netdev" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x8961b3b3, "bpf_prog_get_type_dev" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3ad9b67d, "__skb_flow_dissect" },
	{ 0x1653b87f, "skb_partial_csum_set" },
	{ 0x60e9e1a0, "__pskb_pull_tail" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x46740616, "skb_page_frag_refill" },
	{ 0x60c0ea86, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x26f41a88, "xdp_master_redirect" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa36116a0, "__folio_put" },
	{ 0xd49bfeb6, "_copy_from_iter" },
	{ 0x58e129e1, "iov_iter_npages" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf4a22bc, "skb_copy_datagram_from_iter" },
	{ 0xe2ed1561, "eth_type_trans" },
	{ 0xab1939a5, "sock_alloc_send_pskb" },
	{ 0x40a6ffae, "zerocopy_sg_from_iter" },
	{ 0xf882922e, "napi_schedule_prep" },
	{ 0x6b58d288, "__napi_schedule" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xfa071b5f, "do_xdp_generic" },
	{ 0x7e7a6a60, "iov_iter_revert" },
	{ 0x18a27d3e, "skb_push" },
	{ 0xf0fefb47, "eth_get_headlen" },
	{ 0x7459ef3f, "napi_gro_frags" },
	{ 0x1742cf96, "__page_frag_cache_drain" },
	{ 0xa2f584d3, "get_net_ns" },
	{ 0xc630c4ed, "open_related_ns" },
	{ 0x21f9bd42, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x926ef7c1, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xf3ac2f2, "sk_detach_filter" },
	{ 0xc874bf7f, "make_kuid" },
	{ 0x3d491e68, "init_user_ns" },
	{ 0xa683a535, "from_kuid" },
	{ 0x4d80ee51, "dev_set_mac_address_user" },
	{ 0x46ecdca8, "netdev_update_features" },
	{ 0xb4278a76, "call_netdevice_notifiers" },
	{ 0xf8e28377, "__module_get" },
	{ 0xb284a89b, "from_kgid" },
	{ 0xb5fc95d3, "ethtool_op_get_link" },
	{ 0xbcbcedda, "ethtool_op_get_ts_info" },
	{ 0xf2423be2, "passthru_features_check" },
	{ 0x9b688337, "eth_mac_addr" },
	{ 0x5dbdd396, "eth_validate_addr" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F98A1DA6B7AE2EC09AD3309");
MODULE_INFO(rhelversion, "9.7");
