#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0xd138144d, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x780969bb, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xee9d80aa, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x902ee03c, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xd959fad6, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xa534bd50, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0xbedb9f2a, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0xadaa761b, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xa6db141e, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x6efe6a58, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x84b333e2, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xdded87ab, "");
SYMBOL_CRC(iscsit_release_cmd, 0x8e8662b1, "");
SYMBOL_CRC(iscsit_free_cmd, 0x2b48af71, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x8428e11f, "");
SYMBOL_CRC(iscsit_aborted_task, 0xe4daa868, "");
SYMBOL_CRC(iscsit_add_reject, 0x001a427a, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xec5e2730, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x5b6131d2, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x913bafce, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0xdcf1e2d4, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x16507ba0, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0x3fdf0567, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x996fb953, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0xcbf81a85, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x4f2249ac, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xb276733b, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0x98d1f8e2, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x682c590e, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0xf942a961, "");
SYMBOL_CRC(iscsit_handle_snack, 0xaaa7205c, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xeac9edd2, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0x37fbed5d, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x56796998, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x912d9cdb, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x53f07785, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0xe242dc90, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xeeb3ef0d, "");
SYMBOL_CRC(iscsit_build_reject, 0xc874c77c, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x22931e7e, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x136beb5d, "");
SYMBOL_CRC(iscsit_response_queue, 0x61254de7, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x8cf0e491, "");
SYMBOL_CRC(iscsit_register_transport, 0x8a87500c, "");
SYMBOL_CRC(iscsit_unregister_transport, 0xc7282f6a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89b2054c, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xe7b37d88, "target_alloc_cmd_counter" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x5870cc5b, "try_module_get" },
	{ 0xa9fcb85c, "vmemmap" },
	{ 0x8af7d82c, "target_wait_for_cmds" },
	{ 0x6e757709, "transport_generic_new_cmd" },
	{ 0xd4f410d0, "target_free_cmd_counter" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xde2da477, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x87431390, "kernel_bind" },
	{ 0xd566933c, "up" },
	{ 0xf5b57da9, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x6aa1fb63, "target_submit" },
	{ 0xf536e175, "kernel_accept" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x5ff8f2c7, "kmem_cache_create" },
	{ 0x1624c5f5, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xc07557cb, "target_stop_cmd_counter" },
	{ 0x1020b68, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x22dbb693, "transport_lookup_tmr_lun" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x8832613d, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x6b3a5453, "crypto_destroy_tfm" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x81b0e8e9, "transport_alloc_session_tags" },
	{ 0x9e62c890, "transport_alloc_session" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xed4cd1aa, "sbitmap_prepare_to_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7b0c368b, "target_unregister_template" },
	{ 0xd8172ea2, "transport_send_check_condition_and_sense" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xdf3f787f, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x1e049eaf, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd61365ce, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x56080a67, "flush_signals" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x89d47e6b, "__traceiter_sk_data_ready" },
	{ 0xb679d03d, "init_net" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x819c666e, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xcb17b982, "kmem_cache_free" },
	{ 0x789a319d, "set_cpus_allowed_ptr" },
	{ 0x597d835a, "transport_deregister_session_configfs" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe2504517, "sbitmap_queue_clear" },
	{ 0x38e079de, "iov_iter_kvec" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xf39f6d53, "inet_pton_with_scope" },
	{ 0x593caa25, "sock_sendmsg" },
	{ 0x3c13227, "crypto_shash_update" },
	{ 0x7e9539da, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x41edd7da, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4afbe5e, "target_cmd_parse_cdb" },
	{ 0x904f41e7, "sock_set_reuseaddr" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xddce4b12, "crypto_ahash_finup" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9583b8f6, "crypto_ahash_digest" },
	{ 0x6108288f, "complete_all" },
	{ 0x733fe32b, "crypto_ahash_final" },
	{ 0x2ef23f44, "__target_init_cmd" },
	{ 0xe798236d, "jiffies" },
	{ 0x68742d48, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x353ec7cb, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x39042fa1, "core_tpg_check_initiator_node_acl" },
	{ 0x59255209, "target_cmd_init_cdb" },
	{ 0xba2d8f01, "kernel_listen" },
	{ 0xb4a03ce9, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x73170511, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x276ceac0, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x6f6021d2, "crypto_shash_finup" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x8e7ef087, "transport_wait_for_tasks" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x97bf1923, "target_get_sess_cmd" },
	{ 0x699b5c41, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa208a799, "sock_recvmsg" },
	{ 0x8b629a51, "core_tpg_deregister" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xd0b74d71, "__transport_register_session" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa2f54d9b, "target_show_dynamic_sessions" },
	{ 0x3da36e33, "sock_release" },
	{ 0x336d5f4a, "target_register_template" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x235333b, "tcp_sock_set_nodelay" },
	{ 0xd5e3d11f, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xcb7ace02, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd698e8af, "core_tpg_register" },
	{ 0x521e3311, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x431cd34d, "transport_deregister_session" },
	{ 0xe613a798, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xedc06e2e, "crypto_alloc_shash" },
	{ 0x30c48bcc, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4d3e8554, "kmem_cache_destroy" },
	{ 0xfc013dea, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod");


MODULE_INFO(srcversion, "F828A0D8F4BC99389AFE95B");
MODULE_INFO(rhelversion, "9.7");
