#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xaeabdbf3, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0xc6984055, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0x448989a9, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x565c16de, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0x1952b811, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0x6502e8e6, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x4affffb6, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0xefac45c9, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0xdc9c61d7, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x68633665, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xdf9d5df5, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x529db99e, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x4232a0c3, "");
SYMBOL_CRC(vfio_info_add_capability, 0xf3411eb8, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xaf8a4a7f, "");
SYMBOL_CRC(vfio_pin_pages, 0xf631166b, "");
SYMBOL_CRC(vfio_unpin_pages, 0x2f2acce6, "");
SYMBOL_CRC(vfio_dma_rw, 0x5dde0364, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xeb28d326, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0xae088b84, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0x12999a5b, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0xadd115b8, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x8e0a7b8d, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x486a611f, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0x20a7f332, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0x59e2401c, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0xccfc50e9, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0xbf95e188, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0xc4142ead, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x662cbe47, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0xf289cc7a, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0xc8f77f9a, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0x6dd925ec, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0x2057c0c5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0xb163ac9c, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x76b624f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x7c4e595d, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x287ff765, "iommufd_access_unpin_pages" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x5870cc5b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9744190e, "anon_inode_getfile" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xf44db407, "alloc_anon_inode" },
	{ 0xf34ebfe, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92c3508d, "iommufd_access_detach" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x751fe8aa, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xdcc58171, "cdev_device_del" },
	{ 0x1da03d00, "iommu_group_get" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x72de74ef, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x4f12cf59, "device_initialize" },
	{ 0xe630ee88, "iommufd_device_attach" },
	{ 0xe3a45847, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x74cda189, "iommufd_access_pin_pages" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x98325197, "iput" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xe0ae6780, "iommufd_ctx_from_fd" },
	{ 0x31cbddc1, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x947cd02a, "iova_bitmap_alloc" },
	{ 0xf9b3c008, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x6a29b9e3, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fa52725, "cdev_device_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x328b1407, "put_device" },
	{ 0x72570e2d, "iommufd_ctx_from_file" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd61365ce, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x3284d734, "compat_ptr_ioctl" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0xcc0d4144, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xd2510a63, "up_write" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xec1d438, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0xb4f4f726, "class_create" },
	{ 0xdf045020, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7bfe1b99, "iova_bitmap_for_each" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xb80d4b00, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf37c1430, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x204963a, "iommufd_access_destroy" },
	{ 0xdeb065df, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x103bafd6, "down_read" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x6c33087b, "iommufd_device_to_id" },
	{ 0x659f8b84, "init_pseudo" },
	{ 0xc48f0c5f, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xc9a50103, "iommufd_ctx_put" },
	{ 0x65c4a6d7, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x7b643889, "iommufd_device_detach" },
	{ 0x3aa0947f, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x5e02bcaa, "simple_release_fs" },
	{ 0x889dc5c6, "kill_anon_super" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x66aeefa5, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd4f39a6e, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x8dbc8e5c, "iommu_group_add_device" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xc1697c1c, "cdev_init" },
	{ 0xd4e187bb, "iommufd_device_replace" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x99908f0c, "eventfd_ctx_fileget" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0x9705c3c4, "iommu_group_remove_device" },
	{ 0x2f8d85d3, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "9A8AC080EA09DFB55A24630");
MODULE_INFO(rhelversion, "9.7");
