#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x0e678dd2, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xa51328d3, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x1d177205, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xd1497e27, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x666a66fb, "_gpl");
SYMBOL_CRC(br_forward, 0xfe08306e, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xbaa014e9, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x537b39f2, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x34e6d794, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x7d4e139c, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf3ba10f1, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x6ba38a9f, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x6ff6199c, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0xbe1fda5b, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0xa574a848, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x152eb9ee, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xbbd7025b, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xbdcb1c3c, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xd18bf893, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xa2ede058, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xabbf49e6, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x7de2df73, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xe84926f4, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x08834cb5, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x9aab6a28, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c59beac, "netdev_lower_get_next" },
	{ 0x8f547aa7, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5c7babd, "dev_pre_changeaddr_notify" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x5c486f48, "skb_copy_bits" },
	{ 0xc109964a, "__nlmsg_put" },
	{ 0x976f3aee, "switchdev_port_attr_set" },
	{ 0xc2f5bf9a, "ipv6_mc_check_mld" },
	{ 0xb3d5e994, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0xed27c5ee, "call_switchdev_notifiers" },
	{ 0xc9fd9676, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x46ecdca8, "netdev_update_features" },
	{ 0xd8a39640, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x71f3603b, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8afdfde6, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x23d0cce9, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd0eef219, "dev_uc_del" },
	{ 0x2f514365, "netpoll_send_skb" },
	{ 0xb0a18a9, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xffdd58f0, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x236c8c64, "memcpy" },
	{ 0xca7730d4, "switchdev_port_obj_act_is_deferred" },
	{ 0x8902227e, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xce476d06, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5ddba457, "unregister_netdevice_queue" },
	{ 0x5ff8f2c7, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xffeaa8e2, "netdev_state_change" },
	{ 0xdd1dfcc9, "__pskb_copy_fclone" },
	{ 0xa339e9fe, "__dev_get_by_name" },
	{ 0x8c0b3820, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xee4afc55, "netdev_err" },
	{ 0xad8e34b6, "pskb_expand_head" },
	{ 0x2af34e5, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xf16af007, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x7099a048, "arp_xmit" },
	{ 0xa67c93a6, "__traceiter_br_mdb_full" },
	{ 0x242ff7b6, "alloc_netdev_mqs" },
	{ 0xf2423be2, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3d08b067, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5346264f, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfa262378, "__alloc_skb" },
	{ 0xdf3f787f, "kmem_cache_alloc" },
	{ 0x46633198, "rtnl_set_sk_err" },
	{ 0xab295cd3, "skb_vlan_pop" },
	{ 0x871c5fbc, "rtnl_unicast" },
	{ 0xfb8dcb18, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xc17551fb, "ipv6_dev_get_saddr" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0xc4bd859a, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2e0cc75d, "__dev_get_by_index" },
	{ 0xdc16f168, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xabdec51c, "dev_get_port_parent_id" },
	{ 0xb679d03d, "init_net" },
	{ 0xc3736ff0, "ipv6_stub" },
	{ 0x888906da, "inet_confirm_addr" },
	{ 0x46f2cf19, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc3b6e1f1, "sysfs_remove_link" },
	{ 0xb45e11b8, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x490a3339, "rtnl_af_unregister" },
	{ 0xc0f8aaef, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe17a28d1, "arp_send" },
	{ 0xce19cac, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x16b5958d, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x18a27d3e, "skb_push" },
	{ 0xcb17b982, "kmem_cache_free" },
	{ 0x15337d84, "br_fdb_test_addr_hook" },
	{ 0x23a5f0a6, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0xb72261a6, "netdev_upper_dev_unlink" },
	{ 0x94220f31, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xae4197e1, "llc_mac_hdr_init" },
	{ 0x40b5ec79, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x7d10093c, "kobject_init_and_add" },
	{ 0xa973de5e, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0xa83a7a26, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x1b47180e, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb5fc95d3, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe7081a24, "arp_create" },
	{ 0xb6461e09, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3c935f35, "stp_proto_register" },
	{ 0x45c9495, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0xcf84f407, "sysfs_rename_link_ns" },
	{ 0xb4ddaf03, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x958392b, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x60e9e1a0, "__pskb_pull_tail" },
	{ 0xbc75ea00, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd69575d5, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xbc5cfabe, "ip_mc_check_igmp" },
	{ 0x78028dd3, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x1fbd752a, "switchdev_port_obj_del" },
	{ 0x13151c2d, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x48eaaa71, "kobject_create_and_add" },
	{ 0xb920010a, "skb_trim" },
	{ 0xec06de04, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x96e5fd4f, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x58b6f935, "__ip_mc_inc_group" },
	{ 0x8820e84a, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5e51642f, "sysfs_remove_group" },
	{ 0xcdf9e778, "__traceiter_br_fdb_external_learn_add" },
	{ 0x6db98693, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd54ffcac, "__netpoll_setup" },
	{ 0x9ad74f9, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1389b56d, "vlan_vid_add" },
	{ 0x3d9e6295, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x426478c0, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb4278a76, "call_netdevice_notifiers" },
	{ 0x3341ebaf, "is_skb_forwardable" },
	{ 0xa9fa9b2a, "vlan_vid_del" },
	{ 0xd056ce32, "dev_set_allmulti" },
	{ 0xaf20712b, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbd973c78, "netdev_master_upper_dev_get" },
	{ 0xf1975d3e, "ipv6_dev_mc_inc" },
	{ 0x52f5659b, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2ea628e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6f883b29, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe8b6ee9f, "skb_clone" },
	{ 0x98a45a07, "metadata_dst_alloc" },
	{ 0x151eae58, "dst_release" },
	{ 0x8d10e02a, "netif_carrier_on" },
	{ 0x4b392d38, "kobject_uevent" },
	{ 0x6908b6c0, "arp_tbl" },
	{ 0x51b9b48d, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcc207b9c, "netdev_rx_handler_register" },
	{ 0xb6656e5d, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x840f2052, "netif_set_tso_max_size" },
	{ 0xa220a0ea, "dev_disable_lro" },
	{ 0x86299d7, "kmalloc_trace" },
	{ 0x6a44b768, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xadeabf7a, "dev_get_flags" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{  0x73b11, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x28db3f29, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x491acf18, "nf_queue" },
	{ 0xb18f71c5, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x45bc9b43, "skb_ext_add" },
	{ 0xd94477bf, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x8bdceab, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6f3b71ac, "kmalloc_caches" },
	{ 0xe032d4cd, "neigh_lookup" },
	{ 0x4d3e8554, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x18a5d2eb, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x347307fe, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xdb041a6c, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "62CB88665C30230D3C64E10");
MODULE_INFO(rhelversion, "9.7");
